IP sets

Update an IP set

PATCH
/cloud/project/{project_uuid}/firewall/ipsets/{uuid}/

Renames the IP set or changes its comment.

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the portal (Settings → API Keys). Send as Authorization: Bearer <key>.

In: header

Path Parameters

project_uuid*string

Project UUID.

uuid*string

IP set UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Rename an IP set or change its comment. Send at least one field.

Response Body

application/json

curl -X PATCH "https://example.com/cloud/project/string/firewall/ipsets/string/" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",  "display_name": "string",  "pve_ipset_name": "string",  "comment": "string"}